%global pypi_name sip

Summary:        SIP - Python/C++ Bindings Generator
Name:           sip6
Version:        6.7.9
Release:        5%{?dist}
License:        (GPLv2 or GPLv3) and (GPLv2+ with exceptions)
URL:            https://www.riverbankcomputing.com/software/sip
Source0:        %{pypi_source sip}

BuildRequires:  gcc python3-devel
Provides:       sip5 = %{version}-%{release}
Provides:       python-sip6 = %{version}-%{release}
Provides:       python3-sip6 = %{version}-%{release}
Provides:       python%{python3_version}-sip6 = %{version}

%description 
SIP is a collection of tools that makes it very easy to create Python bindings for C and C++ 
libraries.  It was originally developed in 1998 to create PyQt, the Python bindings for the 
Qt toolkit, but can be used to create bindings for any C or C++ library.

%prep
%autosetup -n %{pypi_name}-%{version} -p 1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files
%license LICENSE LICENSE-GPL2 LICENSE-GPL3
%doc README
%{_bindir}/sip*
%{python3_sitearch}/sip-*
%{python3_sitearch}/sipbuild/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.7.9-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.7.9-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.7.9-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.7.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 20 2023 Shuo Wang <abushwang@tencent.com> - 6.7.9-1
- update to 6.7.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 7 2023 Wang Guodong <gordonwwang@tencent.com> - 6.6.2-1
- initial build
